#
# spec file for package python-argh
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-argh
Version:        0.26.1
Release:        4.1
Url:            https://github.com/neithere/argh/
Summary:        A simple argparse wrapper
License:        LGPL-3.0+
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/a/argh/argh-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-argparse >= 1.1
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-argparse >= 1.1
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Agrh, argparse!

Did you ever say "argh" trying to remember the details of optparse or argparse
API? If yes, this package may be useful for you. It provides a very simple
wrapper for argparse with support for hierarchical commands that can be bound
to modules or classes. Argparse can do it; argh makes it easy.

Here's a list of features that argh adds to argparse:

* mark a function as a CLI command and specify its arguments before the parser
  is instantiated;
* nesed commands made easy: no messing with subparsers (though they are of
  course used under the hood);
* infer agrument type from the default value;
* infer command name from function name;
* add an alias root command help for the --help argument;
* enable passing unwrapped arguments to certain functions instead of a
  argparse.Namespace object.

Argh is fully compatible with argparse. You can mix argh-agnostic and
argh-aware code. Just keep in mind that argh.dispatch does some extra
work that a custom dispatcher may not do.

%prep
%setup -q -n argh-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Sun Apr 19 2015 benoit.monin@gmx.fr
- update to version 0.26.1
  * no changelog available
- update project URL
- package README.rst instead of README
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Sep 25 2013 p.drouand@gmail.com
- Update to version 0.23.3
  + No changelog available
* Thu Mar  7 2013 darin@darins.net
- Update to verios 0.23.0
  + Upstream provides no changelog
* Fri Nov 23 2012 saschpe@suse.de
- Update to version 0.17.2:
  + Upstream provides no changelog
* Wed Jun  6 2012 os-dev@jacraig.com
- Update to version 0.15.1:
  + Upstream provides no changelog
* Tue Jan 31 2012 saschpe@suse.de
- Initial version
